{% if app.session.get('user_id')|hasCadastreAccess %}

    {% set sysma_object_id = O.id %}
    {% include('sysma-object/sysmaObjectBackButton.twig') %}

    <p>
        <b>Données cadastrales : {{ cadastreVersionAnnee }}</b>
    </p>

    {% if parcelles|length < 1 %}
        <p>Aucune information disponible pour une zone tampon de {{ buffer }} mètres.</p>
        <h3>Vous pouvez essayer avec une zone tampon plus large : </h3>     

    {% endif %}


    {% if parcelles|length > 0 %}
        <h1>Infos parcelles <small>(dans une zone de {{ buffer }} mètres autour de l'objet {{ O.id }})</small></h1>
    {% endif %}

    <div  style="width:50%;float:left;padding:8px;" class="form-group">
        <input style="float:left;width:70%" type='range' id='buffer' name='buffer' value='{{ buffer }}' min="0" max="500" step="1" oninput ="$('.buffer-value').html(this.value);" onchange="sendData(null, '/objet/{{ O.id }}/infos-cadastre/' + $('#buffer').val(), 'objet', event);"/> <span style="float:left;"><span class='buffer-value'>{{ buffer }}</span>  mètres</span>
    </div>   


    {% if parcelles|length > 0 %}
        <div class="text-right">
            <a target="_blank" class="btn btn-default" href="{{ url('objet-infos-cadastre-csv', { 'id' : O.id, 'buffer' : buffer }) }}"><span class="glyphicon glyphicon-file"></span> Export complet</a>
            <a target="_blank" class="btn btn-default" href="{{ url('objet-infos-cadastre-publipostage-csv', { 'id' : O.id, 'buffer' : buffer }) }}"><span class="glyphicon glyphicon-file"></span> Export publipostage</a>
            
            <a target="_blank" class="btn btn-default" href="{{ url('objet-infos-cadastre-export-shape', { 'id' : O.id, 'buffer' : buffer }) }}"><span class="glyphicon glyphicon-file"></span> Export shape</a>

        </div>

        <table class='table table-striped table-condensed'>
            <tr>
                <th colspan="3">Parcelle</th>               
                <th colspan="5">Contact</th>
            </tr>
            <tr>
                <th>Commune</th>
                <th>Section/n°</th>
                <th>Contenance (ca)**</th>
                <th>Geometrie (ha)**</th>
                <th>Adresse</th>
                <th>Date de l'acte</th>
                <th>Code</th>
                <th>Date de naissance</th>
                <th>Nom</th>
                <th>Adresse</th>
                <th>Ville</th>
            </tr>
            {% for p in parcelles %}
                <tr>
                    <td>{{ p.parc_libcom  }}</td>
                    <td><a href="#" onmouseover="showObjectInMap('cS{{ p.parc_ccosec }}P{{p.parc_dnupla}}')" onmouseout="hideObjectInMap('cS{{ p.parc_ccosec }}P{{p.parc_dnupla}}')">{{ p.parc_ccosec }}/{{ p.parc_dnupla }}</a></td>
                    <td>{{ p.parc_dcntpa  }}</td>
                    <td>{{ p.geom_ha  }}</td>
                    <td>{{ p.parc_dnvoiri }} {{ p.parc_cconvo  }} {{ p.parc_dvoilib  }}</td> 
                    <td>{{ p.parc_jdatat }}</td>
                    <td>{{ p.proprio_ccodro_lib  }}</td>
                    <td>{{ p.proprio_jdatnss }}</td>
                    <td>{{ p.publipost_prop_nom  }}{% if p.proprio_gdesip ==1 %}*{%endif%}</td>
                    <td>{{ p.publipost_prop_adresse1 }} {{ p.publipost_prop_adresse2 }} {{p.publipost_prop_adresse3 }}</td>  
                    <td>{{ p.publipost_prop_adresse4 }}</td>
                </tr>

            {% endfor %}
        </table>

        <p>* : destinataire de l'avis d'imposition</p>
        <p>** : Il arrive parfois que la contenance inscrite au cadastre exprimée en centiare ne corresponde pas à la surface géométrique réelle de la parcelle</p>
    {% endif %}



    <script type="text/javascript">

        sendData(null, '{{ url('objet-infos-cadastre-geo', { 'id':O.id, 'buffer':buffer })}}', 'layerstate');

    </script>

{% endif %}